Package org.linphone.core

# Interface FriendListListener

All Known Implementing Classes:
  `FriendListListenerStub`

public interface FriendListListener
An object to handle the callbacks for `Friend` synchronization.

## Method Summary

Modifier and Type
Method
Description
`void`
`onContactCreated(FriendList friendList, Friend linphoneFriend)`
Get the contact created callback.
`void`
`onContactDeleted(FriendList friendList, Friend linphoneFriend)`
Get the contact deleted callback.
`void`
`onContactUpdated(FriendList friendList, Friend newFriend, Friend oldFriend)`
Get the contact updated callback.
`void`
`onNewSipAddressDiscovered(FriendList friendList, Friend linphoneFriend, String sipUri)`
Get the new SIP address discovered callback.
`void`
`onPresenceReceived(FriendList friendList, Friend[] friends)`
Get the presence received callback.
`void`
`onSyncStatusChanged(FriendList friendList, FriendList.SyncStatus status, String message)`
Get the sync status changed callback.

## Method Details

### onContactCreated

void onContactCreated(@NonNull FriendList friendList, @NonNull Friend linphoneFriend)
Get the contact created callback.

### onContactDeleted

void onContactDeleted(@NonNull FriendList friendList, @NonNull Friend linphoneFriend)
Get the contact deleted callback.

### onContactUpdated

void onContactUpdated(@NonNull FriendList friendList, @NonNull Friend newFriend, @NonNull Friend oldFriend)
Get the contact updated callback.

### onSyncStatusChanged

void onSyncStatusChanged(@NonNull FriendList friendList, FriendList.SyncStatus status, @Nullable String message)
Get the sync status changed callback.

### onPresenceReceived

void onPresenceReceived(@NonNull FriendList friendList, @NonNull Friend[] friends)
Get the presence received callback.

### onNewSipAddressDiscovered

void onNewSipAddressDiscovered(@NonNull FriendList friendList, @NonNull Friend linphoneFriend, @NonNull String sipUri)
Get the new SIP address discovered callback.